ALAS2-2019-1278


Amazon Linux 2 Security Advisory: ALAS-2019-1278
Advisory Release Date: 2019-09-13 23:08 Pacific
Advisory Updated Date: 2019-09-19 17:20 Pacific
Severity: Low
References: CVE-2018-9516 

Issue Overview:

A flaw was found in the Linux kernel in the hid_debug_events_read() function in the drivers/hid/hid-debug.c file. A lack of the certain checks may allow a privileged user ("root") to achieve an out-of-bounds write and thus receiving user space buffer corruption. (CVE-2018-9516)


Affected Packages:

kernel


Issue Correction:
Run yum update kernel to update your system.

New Packages:
i686:
    kernel-headers-4.14.55-68.37.amzn2.i686

src:
    kernel-4.14.55-68.37.amzn2.src

x86_64:
    kernel-4.14.55-68.37.amzn2.x86_64
    kernel-headers-4.14.55-68.37.amzn2.x86_64
    kernel-debuginfo-common-x86_64-4.14.55-68.37.amzn2.x86_64
    perf-4.14.55-68.37.amzn2.x86_64
    perf-debuginfo-4.14.55-68.37.amzn2.x86_64
    python-perf-4.14.55-68.37.amzn2.x86_64
    python-perf-debuginfo-4.14.55-68.37.amzn2.x86_64
    kernel-tools-4.14.55-68.37.amzn2.x86_64
    kernel-tools-devel-4.14.55-68.37.amzn2.x86_64
    kernel-tools-debuginfo-4.14.55-68.37.amzn2.x86_64
    kernel-devel-4.14.55-68.37.amzn2.x86_64
    kernel-debuginfo-4.14.55-68.37.amzn2.x86_64